Plesk\backup\Agent\Schema\Backup\Domain\DomainAType\PreferencesAType:
    properties:
        defaultDomain:
            expose: true
            access_type: public_method
            serialized_name: default-domain
            xml_element:
                cdata: false
            accessor:
                getter: getDefaultDomain
                setter: setDefaultDomain
            type: Plesk\backup\Agent\Schema\Backup\DefaultDomain
        domainAlias:
            expose: true
            access_type: public_method
            serialized_name: domain-alias
            xml_element:
                cdata: false
            accessor:
                getter: getDomainAlias
                setter: setDomainAlias
            xml_list:
                inline: true
                entry_name: domain-alias
            type: array<Plesk\backup\Agent\Schema\Backup\DomainAlias>
        customButton:
            expose: true
            access_type: public_method
            serialized_name: custom-button
            xml_element:
                cdata: false
            accessor:
                getter: getCustomButton
                setter: setCustomButton
            xml_list:
                inline: true
                entry_name: custom-button
            type: array<Plesk\backup\Agent\Schema\Backup\CustomButton>
        subscription:
            expose: true
            access_type: public_method
            serialized_name: subscription
            xml_element:
                cdata: false
            accessor:
                getter: getSubscription
                setter: setSubscription
            type: Plesk\backup\Agent\Schema\Backup\Subscription
        unityMobileIntegration:
            expose: true
            access_type: public_method
            serialized_name: unity-mobile-integration
            xml_element:
                cdata: false
            accessor:
                getter: getUnityMobileIntegration
                setter: setUnityMobileIntegration
            type: Plesk\backup\Agent\Schema\Backup\UnityMobileIntegration
        templatePlanItem:
            expose: true
            access_type: public_method
            serialized_name: template-plan-item
            xml_element:
                cdata: false
            accessor:
                getter: getTemplatePlanItem
                setter: setTemplatePlanItem
            xml_list:
                inline: true
                entry_name: template-plan-item
            type: array<Plesk\backup\Agent\Schema\Backup\TemplatePlanItem>
        apsBundle:
            expose: true
            access_type: public_method
            serialized_name: aps-bundle
            xml_element:
                cdata: false
            accessor:
                getter: getApsBundle
                setter: setApsBundle
            type: Plesk\backup\Agent\Schema\Backup\ApsBundle
        defaultDbServers:
            expose: true
            access_type: public_method
            serialized_name: default-db-servers
            xml_element:
                cdata: false
            accessor:
                getter: getDefaultDbServers
                setter: setDefaultDbServers
            type: array<Plesk\backup\Agent\Schema\Backup\DbServer>
            xml_list:
                inline: false
                entry_name: db-server
                skip_when_empty: true
        descriptions:
            expose: true
            access_type: public_method
            serialized_name: descriptions
            xml_element:
                cdata: false
            accessor:
                getter: getDescriptions
                setter: setDescriptions
            type: array<Plesk\backup\Agent\Schema\Backup\Descriptions\DescriptionsAType\DescriptionAType>
            xml_list:
                inline: false
                entry_name: description
                skip_when_empty: true
